package gui;

import javax.swing.*;
import java.awt.*;

/**
 * Copyright 2005, DocJava, Inc.
 * User: dlyon
 * Date: Dec 13, 2005
 * Time: 3:10:59 PM
 */
public class Utils {
    public static void updateFrame(Container parent) {
        if (parent==null) return;
        parent.invalidate();
        JFrame frame = (JFrame)getPenultimateContainer(parent);
        if (frame == null) return;
        frame.pack();
    }

    public static Container getPenultimateContainer(Component c) {
        Container parent = c.getParent();
        if (parent == null) return null;
        while (parent.getParent() != null)
            parent = parent.getParent();
        return parent;
    }
}
